/***********************************************************************
*           See Accompanying licence file QSAS_licence                 *
***********************************************************************/


static char* TSSubsetErrorMessage[8] = 
   { "TSSubset>> Error zero undefined\n",
     "TSSubset>> Error - no data points in requested interval\n",
     "TSSubset>> Error - input Time Series in descending order\n",
     "TSSubset>> Error - requested start beyond data end time\n",
     "TSSubset>> Error - requested end before data start time\n",
     "TSSubset>> Error - unrecognised negative index for start time\n",
     "TSSubset>> Error - unrecognised negative index for end time\n",
     "TSSubset>> Success\n"};

typedef enum TSSubsetErrorStatus_e{
  TSSUBSET_ERROR_UNDEFINED,
  TSSUBSET_ERROR_NO_DATA,
  TSSUBSET_ERROR_DESCENDING,
  TSSUBSET_ERROR_START_GT_DATA_END,
  TSSUBSET_ERROR_END_LT_DATA_START,
  TSSUBSET_ERROR_START_UNDEFINED,
  TSSUBSET_ERROR_END_UNDEFINED,
  TSSUBSET_OK
} TSSubsetErrorStatus;



/* Prototypes */

/* bi-section to find index to times */

int nle_bisection (double xsearch, double x[], int nx);

  
