#ifndef _QSW_HELP_H
#define _QSW_HELP_H

#include <qobject.h>
#include <qmainwindow.h>
#include <string>
#include <stdlib.h>
#include <qobject.h>

class QTextBrowser;

class QswHelpWindow : public QMainWindow {

  typedef std::string string;	
Q_OBJECT

  string help_root_dir;   // root directory for help files
  QTextBrowser* help_browser;

public slots:
  void about();          // put up "About" message box
  void back();           // go back in html navigation
  void goIndex();        // return to index
  
public:
  QswHelpWindow( QWidget *parent=0, const char *name=0 );
  void manEntry(const std::string &entry);

};


#endif
